Page MenuHomePhabricator

[PowerPC] Support of ppc_fp128 in lowering of llvm.is_fpclass
AcceptedPublic

Authored by sepavloff on Nov 15 2021, 9:04 AM.

Details

Summary

PowerPC supports ppc_fp128, which is not an IEEE floating point
type. The generic lowering of llvm.is_fpclass could not handle it
properly. This change extends the generic lowering code to
support ppc_fp128.

The change was tested on emulator using runtime tests from
https://reviews.llvm.org/D112933 and the patch for clang
https://reviews.llvm.org/D112932.

Diff Detail

Event Timeline

sepavloff created this revision.Nov 15 2021, 9:04 AM
sepavloff requested review of this revision.Nov 15 2021, 9:04 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 15 2021, 9:04 AM
qiucf added inline comments.Nov 15 2021, 10:40 PM
llvm/test/CodeGen/PowerPC/ppc-is_fpclass.ll
3 ↗(On Diff #387289)

Can you please add test case for fp128 type (under -mcpu=power9)?

And seems we don't need ppc- prefix in filename.

sepavloff updated this revision to Diff 388376.Nov 18 2021, 9:09 PM

Updated patch

  • In the test file name the prefix ppc- is dropped,
  • The test now is compiled for POWER9
  • The revision is retitled.
sepavloff retitled this revision from [PowerPC] Custom lowering of llvm.is_fpclass to [PowerPC] Support of ppc_fp128 in lowering of llvm.is_fpclass.Nov 18 2021, 9:11 PM
sepavloff edited the summary of this revision. (Show Details)
qiucf accepted this revision.Nov 21 2021, 9:25 PM

Thanks

This revision is now accepted and ready to land.Nov 21 2021, 9:25 PM